## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# OutputContextStack Class Reference

Collaboration diagram for OutputContextStack:

[legend]
List of all members.

## Public Types

- typedef XalanDeque< OutputContext,
  ConstructWithMemoryManagerTraits<
  OutputContext > > OutputContextStackType
- typedef OutputContextStackType::size_type size_type

## Public Member Functions

- OutputContextStack (MemoryManagerType &theManager)
- ~OutputContextStack ()
- void pushContext (FormatterListener *theListener=0)
- void popContext ()
- FormatterListener * getFormatterListener () const
- FormatterListener *& getFormatterListener ()
- const AttributeListImpl & getPendingAttributes () const
- AttributeListImpl & getPendingAttributes ()
- const XalanDOMString & getPendingElementName () const
- XalanDOMString & getPendingElementName ()
- const bool & getHasPendingStartDocument () const
- bool & getHasPendingStartDocument ()
- const bool & getMustFlushPendingStartDocument () const
- bool & getMustFlushPendingStartDocument ()
- size_type size () const
- bool empty () const
- void clear ()
- void reset ()

## Member Typedef Documentation

typedef XalanDeque<OutputContext, ConstructWithMemoryManagerTraits<OutputContext> > OutputContextStack::OutputContextStackType

typedef OutputContextStackType::size_type OutputContextStack::size_type

## Constructor & Destructor Documentation

OutputContextStack::OutputContextStack | ( | MemoryManagerType & | theManager | ) | `[explicit]`

OutputContextStack::~OutputContextStack | ( |  | ) |

## Member Function Documentation

void OutputContextStack::clear | ( |  | ) |

bool OutputContextStack::empty | ( |  | ) | const

FormatterListener*& OutputContextStack::getFormatterListener | ( |  | ) |

FormatterListener* OutputContextStack::getFormatterListener | ( |  | ) | const

bool& OutputContextStack::getHasPendingStartDocument | ( |  | ) |

const bool& OutputContextStack::getHasPendingStartDocument | ( |  | ) | const

bool& OutputContextStack::getMustFlushPendingStartDocument | ( |  | ) |

const bool& OutputContextStack::getMustFlushPendingStartDocument | ( |  | ) | const

AttributeListImpl& OutputContextStack::getPendingAttributes | ( |  | ) |

const AttributeListImpl& OutputContextStack::getPendingAttributes | ( |  | ) | const

XalanDOMString& OutputContextStack::getPendingElementName | ( |  | ) |

const XalanDOMString& OutputContextStack::getPendingElementName | ( |  | ) | const

void OutputContextStack::popContext | ( |  | ) |

void OutputContextStack::pushContext | ( | FormatterListener * | theListener = 0 | ) |

void OutputContextStack::reset | ( |  | ) |

size_type OutputContextStack::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- OutputContextStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.